
#if !defined(AFX_HTMLSYNTAXCOLORER_INCLUDED_)
#define AFX_HTMLSYNTAXCOLORER_INCLUDED_

#include "AbstractSyntaxColorer.h"
#include "SharedStack.h"

class HTMLSyntaxColorState
{
public:
	HTMLSyntaxColorState();
	HTMLSyntaxColorState(HTMLSyntaxColorState* original);

	SharedStack<short> stateStack;
	long state;
};

class HTMLSyntaxColorer : public AbstractStateSyntaxColorer<HTMLSyntaxColorState>
{
public:
	HTMLSyntaxColorer();
	
	void parseLine(const char *line, HTMLSyntaxColorState &state, int &lineFlags);
};

#endif // AFX_HTMLSYNTAXCOLORER_INCLUDED_