
#if !defined(AFX_CDFSYNTAXCOLORER_INCLUDED_)
#define AFX_CDFSYNTAXCOLORER_INCLUDED_

#include "AbstractSyntaxColorer.h"
#include "SharedStack.h"

class CDFSyntaxColorState
{
public:
	CDFSyntaxColorState();
	CDFSyntaxColorState(CDFSyntaxColorState* original);

	SharedStack<char> stateStack;
	long state;
};

class CDFSyntaxColorer : public AbstractStateSyntaxColorer<CDFSyntaxColorState>
{
public:
	CDFSyntaxColorer();
	
	void parseLine(const char *line, CDFSyntaxColorState &state, int &lineFlags);
};

#endif // AFX_CDFSYNTAXCOLORER_INCLUDED_